Summary:     The Dada Engine: random text generation using RTNs
Name:        dada
Version:     1.03
Release:     2
Copyright:   BSD
Group:       Development/Languages
Source:      http://dev.null.org/dadaengine/dada-1.03.tar.gz
Url:         http://dev.null.org/dadaengine/
Vendor:      Scott Pakin <pakin@uiuc.edu>
Requires:    /bin/sh, cpp, info, sed
BuildPrereq: bison, flex, gcc, binutils, bash, sed
Prefix:      /usr
BuildRoot:   /var/tmp/%{name}-%{version}

%description
The Dada Engine is a system for the nondeterministic generation
of ASCII data from grammars using recursive transition networks; or,
in English, it is a system for generating random text using rules.
Rules are specified in a language named pb, which looks a little like
yacc, only a good deal more bogus.  The language is documented in the
Dada Engine manual which is supplied in Texinfo and PostScript formats.

%prep
%setup

%build
%configure
# With gcc-2.96-69, compiler optimizations cause incorrect code to
# be generated, causing some of the sample pb scripts to fail.
# Hence, we force -O0 into the compiler flags.
#RPM_UNOPT_FLAGS=${RPM_OPT_FLAGS/-O[^ ]*/-O0}
RPM_UNOPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's/-O[^ ]*/-O0/g'`
make CFLAGS="$RPM_UNOPT_FLAGS"

%install
%makeinstall

%post
RPM_INSTALL_INFO=%{_infodir}
RPM_INSTALL_INFO=${RPM_INSTALL_INFO/\/usr/$RPM_INSTALL_PREFIX}
RPM_INSTALL_DATA=%{_datadir}
RPM_INSTALL_DATA=${RPM_INSTALL_DATA/\/usr/$RPM_INSTALL_PREFIX}
RPM_INSTALL_BIN=%{_bindir}
RPM_INSTALL_BIN=${RPM_INSTALL_BIN/\/usr/$RPM_INSTALL_PREFIX}
install-info ${RPM_INSTALL_INFO}/dada.info.gz --dir-file=${RPM_INSTALL_INFO}/dir
cat ${RPM_INSTALL_PREFIX}/bin/dada | \
  sed "s|\"/usr/lib|\"${RPM_INSTALL_DATA}|g" | \
  sed "s|\"/usr/bin|\"${RPM_INSTALL_BIN}|g" > %{_tmppath}/dada.$$
install %{_tmppath}/dada.$$ ${RPM_INSTALL_BIN}/dada

%preun
RPM_INSTALL_INFO=%{_infodir}
RPM_INSTALL_INFO=${RPM_INSTALL_INFO/\/usr/$RPM_INSTALL_PREFIX}
install-info --delete ${RPM_INSTALL_INFO}/dada.info.gz --dir-file=${RPM_INSTALL_INFO}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/pb
%{_bindir}/dada
%{_datadir}/dada
%{_infodir}/dada.info*
%{_mandir}/man1/pb.1*
%{_mandir}/man1/dada.1*
%doc COPYING README RELEASE_NOTES
%doc doc/dada.ps
%doc scripts

%changelog
* Fri Jan 05 2001 Scott Pakin <pakin@uiuc.edu>
- Initial release
